interface Logger {
    info: (message: string, ...args: any[]) => void;
    warn: (message: string, ...args: any[]) => void;
    error: (message: string, ...args: any[]) => void;
    success: (message: string, ...args: any[]) => void;
    report: (stats: {
        total: number;
        success: number;
        skipped: number;
        failed: number;
    }) => void;
    time: (label: string) => void;
    timeEnd: (label: string) => void;
    verbose: (message: string, ...args: any[]) => void;
}
interface LoggerOptions {
    level?: 'verbose' | 'info';
}
declare function createLogger(prefix: string, options?: LoggerOptions): Logger;

export { type Logger, type LoggerOptions, createLogger };
